%define		_status		stable
%define		_pearname	XML_RPC
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - implementation of the XML-RPC protocol
Summary(pl.UTF-8):	%{_pearname} - implementacja protokołu XML-RPC
Name:		php-pear-%{_pearname}
Version:	1.5.5
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	02f9b1a27636527ddf6661e545799d45
URL:		http://pear.php.net/package/XML_RPC/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(xml)
Requires:	php-pear
Obsoletes:	php-pear-XML_RPC-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a PEAR-ified version of Useful inc's XML-RPC for PHP. It has
support for HTTP transport, proxies and authentication.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Jest to zPEARowana wersja użytecznego include-a dla PHP. Posiada
wsparcie dla transportu HTTP, proxy oraz autentyfikacji.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/*.php
%{php_pear_dir}/XML/RPC
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 25172bd
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> cb17bec
- updated to: 1.5.5

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 03fefbd
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f0425f2
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> dc26766
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 8a0dd01
- updated to: 1.5.4

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 78b51b8
- rel 4

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> e813ddd
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 657ba75
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4730d50
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 6f124ff
- rel 2: use php(extension) virtuals

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 2261102
- 1.5.1

* Wed Jul 12 2006 Adam Gołębiowski <adamg@pld-linux.org> fb4acf1
- updated to 1.5.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> e4b690f
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> fef13db
- updated to 1.4.8

* Tue Apr 11 2006 Elan Ruusamäe <glen@pld-linux.org> 08b427d
- 1.4.7

* Mon Apr 10 2006 Elan Ruusamäe <glen@pld-linux.org> 1edd64b
- requires xml extension

* Mon Apr 10 2006 Elan Ruusamäe <glen@pld-linux.org> c3c4d48
- 1.4.6

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 926edf4
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> d33bcef
- BR php-pear-PEAR

